Home
last modified time | relevance | path

Searched full:ping (Results 1 – 25 of 555) sorted by relevance

12345678910>>...23

/Linux-v6.1/drivers/staging/vc04_services/interface/
DTESTING53 * Ping test
58 Ping test - service:echo, iters:1, version 3
59 vchi ping (size 0) -> 57.000000us
60 vchi ping (size 0, 0 async, 0 oneway) -> 122.000000us
63 vchi ping (size 0) -> 49.000000us
64 vchi ping (size 0, 0 async, 0 oneway) -> 70.000000us
67 vchi ping (size 0, 1 async, 0 oneway) -> 65.000000us
69 vchi ping (size 0, 2 async, 0 oneway) -> 74.000000us
71 vchi ping (size 0, 10 async, 0 oneway) -> 125.000000us
73 vchi ping (size 0, 0 async, 1 oneway) -> 70.000000us
[all …]
/Linux-v6.1/tools/testing/selftests/netfilter/
Dbridge_brouter.sh71 # ping netns1, expected to not work (ip forwarding is off)
72 ip netns exec ns1 ping -q -c 1 10.0.0.12 > /dev/null 2>&1
74 echo "ERROR: ping works, should have failed" 1>&2
87 ip netns exec ns1 ping -q -c 1 10.0.0.12 > /dev/null
89 echo "ERROR: ping did not work, but it should (broute+forward)" 1>&2
96 # ping netns1, expected to work (frames are bridged)
97 ip netns exec ns1 ping -q -c 1 10.0.0.12 > /dev/null
99 echo "ERROR: ping did not work, but it should (bridged)" 1>&2
105 # ping netns1, expected to not work (DROP in bridge forward)
106 ip netns exec ns1 ping -q -c 1 10.0.0.12 > /dev/null 2>&1
[all …]
Dnft_nat.sh197 # ping netns1, expect rewrite to netns2
198 ip netns exec "$ns0" ping -q -c 1 dead:1::99 > /dev/null
243 test $lret -eq 0 && echo "PASS: ipv6 ping to $ns1 was $family NATted to $ns2"
277 # ping netns1, expect rewrite to netns2
278 ip netns exec "$ns0" ping -q -c 1 10.0.1.99 > /dev/null
281 echo "ERROR: ping failed"
323 test $lret -eq 0 && echo "PASS: ping to $ns1 was $family NATted to $ns2"
328 ip netns exec "$ns0" ping -q -c 1 10.0.1.99 > /dev/null
331 echo "ERROR: ping failed"
372 test $lret -eq 0 && echo "PASS: ping to $ns1 OK after $family nat output chain flush"
[all …]
/Linux-v6.1/Documentation/devicetree/bindings/iio/proximity/
Dparallax-ping.yaml4 $id: http://devicetree.org/schemas/iio/proximity/parallax-ping.yaml#
7 title: Parallax PING))) and LaserPING range finder
14 - ping-gpios is raised by the driver to start measurement
15 - direction of ping-gpio is then switched into input with an interrupt
20 http://parallax.com/sites/default/files/downloads/28015-PING-Documentation-v1.6.pdf
25 - parallax,ping
28 ping-gpios:
43 - ping-gpios
52 ping-gpios = <&gpio0 26 GPIO_ACTIVE_HIGH>;
/Linux-v6.1/tools/testing/selftests/net/
Dunicast_extensions.sh9 # of address, we test for interface assignment, ping, TCP, and forwarding.
60 # ping and nettest.
73 ip netns exec foo-ns timeout 2 ping -c 1 $2 || return 1
74 ip netns exec bar-ns timeout 2 ping -c 1 $1 || return 1
109 ip netns exec foo-ns timeout 2 ping -c 1 $2 || return 1
110 ip netns exec foo-ns timeout 2 ping -c 1 $4 || return 1
111 ip netns exec bar-ns timeout 2 ping -c 1 $3 || return 1
112 ip netns exec bar-ns timeout 2 ping -c 1 $1 || return 1
178 segmenttest 240.1.2.1 240.1.2.4 24 "assign and ping within 240/4 (1 of 2) (is allowed)"
179 segmenttest 250.100.2.1 250.100.30.4 16 "assign and ping within 240/4 (2 of 2) (is allowed)"
[all …]
Dfcnal-test.sh93 which ping6 > /dev/null 2>&1 && ping6=$(which ping6) || ping6=$(which ping)
189 killall nettest ping ping6 >/dev/null 2>&1
575 run_cmd ping -c1 -w1 ${a}
576 log_test_addr ${a} $? 0 "ping out"
579 run_cmd ping -c1 -w1 -I ${NSA_DEV} ${a}
580 log_test_addr ${a} $? 0 "ping out, device bind"
583 run_cmd ping -c1 -w1 -I ${NSA_LO_IP} ${a}
584 log_test_addr ${a} $? 0 "ping out, address bind"
593 run_cmd_nsb ping -c1 -w1 ${a}
594 log_test_addr ${a} $? 0 "ping in"
[all …]
Dvrf_route_leaking.sh24 # The first test sends a ping with a ttl of 1 from h1 to h2 and parses the
30 # The third test sends a ping with a packet size of 1450 from h1 to h2 and
387 ip netns exec h1 ping -c1 -w1 ${H2_N2_IP} >/dev/null 2>&1
467 log_section "IPv4 ($ttype route): VRF ICMP ttl error route lookup ping"
473 run_cmd_grep "Time to live exceeded" ip netns exec h1 ping -t1 -c1 -W2 ${H2_N2_IP}
474 log_test $? 0 "Ping received ICMP ttl exceeded"
488 log_section "IPv4 ($ttype route): VRF ICMP fragmentation error route lookup ping"
494 run_cmd_grep "Frag needed" ip netns exec h1 ping -s 1450 -Mdo -c1 -W2 ${H2_N2_IP}
495 log_test $? 0 "Ping received ICMP Frag needed"
509 log_section "IPv6 ($ttype route): VRF ICMP ttl error route lookup ping"
[all …]
Dxfrm_policy.sh12 # ns1: ping 10.0.2.2: passes via ipsec tunnel.
13 # ns2: ping 10.0.1.2: passes via ipsec tunnel.
15 # ns1: ping 10.0.1.253: passes via ipsec tunnel (direct policy)
16 # ns2: ping 10.0.2.253: passes via ipsec tunnel (direct policy)
18 # ns1: ping 10.0.2.254: does NOT pass via ipsec tunnel (exception)
19 # ns2: ping 10.0.1.254: does NOT pass via ipsec tunnel (exception)
207 ip netns exec ns1 ping -q -c 1 10.0.2.$ip > /dev/null
218 ip netns exec ns2 ping -q -c 1 10.0.1.$ip > /dev/null
237 # ping to .254 should be excluded from the tunnel (exception is in place).
240 echo "FAIL: expected ping to .254 to fail ($logpostfix)"
[all …]
/Linux-v6.1/samples/bpf/
Dtest_lwt_bpf.sh143 ping -c 3 $IPVETH1 || {
159 ping -c 3 $IPVETH1 || {
175 ping -c 3 $IP_LOCAL || {
199 ping -c 3 $IPVETH1 || {
212 ping -c 3 $IP_LOCAL || {
230 ping -c 3 $IPVETH1 || {
246 ping -c 3 $IP_LOCAL || {
270 ping -c 3 $IPVETH1 && {
271 failure "test_drop_all ${1}: Unexpected success of ping"
283 ping -c 3 $IP_LOCAL && {
[all …]
Dtest_cgrp2_sock2.sh61 ping -c1 -w1 172.16.1.100
63 echo "ping failed when it should succeed"
79 # Test 2 - fail ping
89 ping -c1 -w1 172.16.1.100
91 echo "ping succeeded when it should not"
/Linux-v6.1/tools/testing/selftests/bpf/
Dtest_sock_addr.sh7 type ping${1} >/dev/null 2>&1 && PING="ping${1}" || PING="ping -${1}"
8 $PING -q -c 1 -W 1 ${2%%/*} >/dev/null 2>&1
Dtest_tunnel.sh35 # End-to-end ping packet flow
38 # then ping the underlay and overlay network. When doing 'ping 10.1.1.100'
242 ping $PING_ARG 10.1.1.100
244 ip netns exec at_ns0 ping $PING_ARG 10.1.1.200
270 ip netns exec at_ns0 ping $PING_ARG 10.1.1.200
271 ping $PING_ARG 10.1.1.100
299 ip netns exec at_ns0 ping $PING_ARG 10.1.1.200
300 ping $PING_ARG 10.1.1.100
325 ping $PING_ARG 10.1.1.100
327 ip netns exec at_ns0 ping $PING_ARG 10.1.1.200
[all …]
/Linux-v6.1/tools/testing/selftests/drivers/net/dsa/
Dbridge_locked_port.sh90 check_err $? "Ping did not work before locking port"
95 check_fail $? "Ping worked after locking port, but before adding FDB entry"
100 check_err $? "Ping did not work after locking port and adding FDB entry"
106 check_err $? "Ping did not work after unlocking port and removing FDB entry."
121 check_err $? "Ping through vlan did not work before locking port"
125 check_fail $? "Ping through vlan worked after locking port, but before adding FDB entry"
130 check_err $? "Ping through vlan did not work after locking port and adding FDB entry"
136 check_err $? "Ping through vlan did not work after unlocking port and removing FDB entry"
/Linux-v6.1/tools/testing/selftests/net/forwarding/
Dbridge_locked_port.sh90 check_err $? "Ping did not work before locking port"
95 check_fail $? "Ping worked after locking port, but before adding FDB entry"
100 check_err $? "Ping did not work after locking port and adding FDB entry"
106 check_err $? "Ping did not work after unlocking port and removing FDB entry."
121 check_err $? "Ping through vlan did not work before locking port"
125 check_fail $? "Ping through vlan worked after locking port, but before adding FDB entry"
130 check_err $? "Ping through vlan did not work after locking port and adding FDB entry"
136 check_err $? "Ping through vlan did not work after unlocking port and removing FDB entry"
Dforwarding.config.sample25 # IPv4 ping utility name
26 PING=ping
27 # IPv6 ping utility name. Some distributions use 'ping' for IPv6.
41 # Timeout (in seconds) before ping exits regardless of how many packets have
/Linux-v6.1/Documentation/devicetree/bindings/net/
Dxlnx,emaclite.yaml36 xlnx,tx-ping-pong:
38 description: hardware supports tx ping pong buffer.
40 xlnx,rx-ping-pong:
42 description: hardware supports rx ping pong buffer.
61 xlnx,rx-ping-pong;
62 xlnx,tx-ping-pong;
/Linux-v6.1/tools/testing/selftests/wireguard/
Dnetns.sh119 # Ping over IPv4
120 n2 ping -c 10 -f -W 1 192.168.241.1
121 n1 ping -c 10 -f -W 1 192.168.241.2
123 # Ping over IPv6
166 n2 ping -c 10 -f -W 1 192.168.241.1
202 n2 ping -c 1 -W 1 -s 1269 192.168.241.1
221 n1 ping -W 1 -c 1 192.168.241.2
247 n1 ping -W 1 -c 1 192.168.241.2
250 n1 ping -W 1 -c 1 192.168.241.2
275 n0 ping -W 1 -c 1 192.168.241.2
[all …]
/Linux-v6.1/Documentation/translations/zh_CN/core-api/irq/
Dirq-affinity.rst39 [root@moon 44]# ping -f h
40 PING hell (195.4.7.3): 56 data bytes
42 --- hell ping statistics ---
57 [root@moon 44]# ping -f h
58 PING hell (195.4.7.3): 56 data bytes
60 --- hell ping statistics ---
/Linux-v6.1/drivers/iio/proximity/
Dping.c3 * PING: ultrasonic sensor for distance measuring by using only one GPIOs
9 * http://parallax.com/sites/default/files/downloads/28015-PING-Documentation-v1.6.pdf
14 * ping: __/ \____________/ \________________
46 /* ping sensors */
175 * read error code of laser ping sensor and give users chance to in ping_read()
269 { .compatible = "parallax,ping", .data = &pa_ping_cfg },
296 data->gpiod_ping = devm_gpiod_get(dev, "ping", GPIOD_OUT_LOW); in ping_probe()
298 dev_err(dev, "failed to get ping-gpios: err=%ld\n", in ping_probe()
310 indio_dev->name = "ping"; in ping_probe()
322 .name = "ping-gpio",
[all …]
/Linux-v6.1/tools/testing/selftests/ftrace/test.d/trigger/inter-event/
Dtrigger-field-variable-support.tc14 echo 'hist:keys=comm:ts0=common_timestamp.usecs if comm=="ping"' > events/sched/sched_waking/trigger
15 …cy($wakeup_lat,next_pid,sched.sched_waking.prio,next_comm) if next_comm=="ping"' > events/sched/sc…
18 ping $LOCALHOST -c 3
19 if ! grep -q "ping" events/synthetic/wakeup_latency/hist; then
27 …cy($wakeup_lat,next_pid,sched.sched_waking.prio,next_comm) if next_comm=="ping"' >> events/sched/s…
Dtrigger-inter-event-combined-hist.tc20 echo 'hist:keys=pid:ts0=common_timestamp.usecs if comm=="ping"' > events/sched/sched_waking/trigger
21 …ts0:onmatch(sched.sched_waking).waking_latency($waking_lat,pid) if comm=="ping"' > events/sched/sc…
25 echo 'hist:keys=pid:ts1=common_timestamp.usecs if comm=="ping"' >> events/sched/sched_wakeup/trigger
26 …h(sched.sched_wakeup).wakeup_latency($wakeup_lat,next_pid) if next_comm=="ping"' > events/sched/sc…
32 ping $LOCALHOST -c 3
Dtrigger-snapshot-action-hist.tc15 …nchange($newprio).save(comm,prio):onchange($newprio).snapshot() if comm=="ping"' >> events/sched/s…
17 ping $LOCALHOST -c 3
18 nice -n 1 ping $LOCALHOST -c 3
26 if ! grep -q "comm=ping" snapshot; then
Dtrigger-onmatch-action-hist.tc21 echo 'hist:keys=pid:ts0=common_timestamp.usecs if comm=="ping"' > events/sched/sched_wakeup/trigger
22 …hed_wakeup).wakeup_latency($wakeup_lat,next_pid,next_comm) if next_comm=="ping"' > events/sched/sc…
25 ping $LOCALHOST -c 5
26 if ! grep -q "ping" events/synthetic/wakeup_latency/hist; then
/Linux-v6.1/Documentation/core-api/irq/
Dirq-affinity.rst31 [root@moon 44]# ping -f h
32 PING hell (195.4.7.3): 56 data bytes
34 --- hell ping statistics ---
50 [root@moon 44]# ping -f h
51 PING hell (195.4.7.3): 56 data bytes
53 --- hell ping statistics ---
/Linux-v6.1/tools/perf/tests/shell/
Drecord+probe_libc_inet_pton.sh2 # probe libc's inet_pton & backtrace it with ping
5 # then use 'perf trace' on a ping to localhost asking for just one packet
35 echo "ping[][0-9 \.:]+$event_name: \([[:xdigit:]]+\)" > $expected
42 echo "main\+0x[[:xdigit:]]+[[:space:]]\(.*/bin/ping.*\)$" >> $expected
48 echo ".*(\+0x[[:xdigit:]]+|\[unknown\])[[:space:]]\(.*/bin/ping.*\)$" >> $expected
53 echo ".*(\+0x[[:xdigit:]]+|\[unknown\])[[:space:]]\(.*/bin/ping.*\)$" >> $expected
59 perf record -e $event_name/$eventattr/ -o $perf_data ping -6 -c 1 ::1 > /dev/null 2>&1

12345678910>>...23